## python-oslo.log 3.30.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.9.0 # MIT
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
pyinotify>=0.9.6;sys_platform!='win32' and sys_platform!='darwin' and sys_platform!='sunos5' # MIT
python-dateutil>=2.4.2 # BSD
monotonic>=0.6 # Apache-2.0

=== debian/changelog ===
python-oslo.log (3.30.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 17:57:15 -0400

python-oslo.log (3.28.1-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jul 2017 15:44:44 -0400

python-oslo.log (3.27.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:25:04 +0100

python-oslo.log (3.25.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:03:26 +0100

python-oslo.log (3.20.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 09:08:31 -0500

python-oslo.log (3.19.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 09:36:35 -0500

python-oslo.log (3.18.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2016 09:54:18 -0500

python-oslo.log (3.17.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * d/control: Bump version dependencies.
  * d/control: Add python-monotonic.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 01 Dec 2016 08:44:34 -0500

python-oslo.log (3.16.0-0ubuntu1) yakkety; urgency=medium

  [ Thomas Goirand ]
  * Fixed upstream VCS URL to use HTTPS.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/allow-pyinotify-0.9.5.patch: Dropped. No longer needed.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 11:06:12 -0400

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: bandit,
                     python-coverage (>= 4.0),
                     python-dateutil (>= 2.4.2),
                     python-debtcollector (>= 1.2.0),
                     python-funcsigs,
                     python-mock (>= 2.0),
                     python-monotonic (>= 0.6),
                     python-openstackdocstheme (>= 1.11.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 2.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-pyinotify (>= 0.9.6),
                     python-six (>= 1.9.0),
                     python-testrepository (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-coverage (>= 4.0),
                     python3-dateutil (>= 2.4.2),
                     python3-debtcollector (>= 1.2.0),
                     python3-funcsigs,
                     python3-mock (>= 2.0),
                     python3-monotonic (>= 0.6),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.context (>= 2.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pyinotify (>= 0.9.6),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.log
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.log
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log
Architecture: all
Provides: python-oslo-log,
Breaks: python-oslo-log (<< 1.2.0-1~),
Replaces: python-oslo-log (<< 1.2.0-1~),
Depends: python-dateutil (>= 2.4.2),
         python-debtcollector (>= 1.2.0),
         python-monotonic (>= 0.6),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 2.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-pyinotify (>= 0.9.5),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 2.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 2.x module.

Package: python3-oslo.log
Architecture: all
Provides: python3-oslo-log,
Breaks: python3-oslo-log (<< 1.2.0-1~),
Replaces: python3-oslo-log (<< 1.2.0-1~),
Depends: python3-dateutil (>= 2.4.2),
         python3-debtcollector (>= 1.2.0),
         python3-monotonic (>= 0.6),
         python3-oslo.config (>= 1:4.0.0),
         python3-oslo.context (>= 2.14.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-pyinotify (>= 0.9.5),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

## python-oslo.log 3.36.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
pyinotify>=0.9.6;sys_platform!='win32' and sys_platform!='darwin' and sys_platform!='sunos5' # MIT
python-dateutil>=2.4.2 # BSD
monotonic>=0.6 # Apache-2.0

=== debian/changelog ===
python-oslo.log (3.36.0-3) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:47:52 +0000

python-oslo.log (3.36.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:24:08 +0000

python-oslo.log (3.36.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 08:28:50 +0000

python-oslo.log (3.30.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-depends on python-openstackdocstheme (>= 1.16.0).
  * (Build-)depends on python{,}3-oslo.serialization (>= 2.20.2).
  * Using pkgos-dh_auto_{install,test}.
  * Switched to debhelper 10.
  * Updated VCS fields to use salsa.
  * Standards-Version is now 4.1.3.
  * Temporarily removed failing Py 3.6 tests (Closes: #884052).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jan 2018 11:09:46 +0100

python-oslo.log (3.30.0-2) unstable; urgency=medium

  * Defines PYTHONPATH=. when building sphinx doc (Closes: #880183).
  * Uploading to unstable.
  * Fixed watch file.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 00:29:02 +0000

python-oslo.log (3.30.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless transition packages.
  * debian/gbp.conf using debian/pike.
  * Removed now useless pyinotify version patch.
  * Using update-alternatives to manage /usr/bin/convert-json.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 18:34:41 +0000

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 bandit,
 python-coverage,
 python-dateutil,
 python-debtcollector,
 python-fixtures,
 python-funcsigs,
 python-hacking,
 python-mock,
 python-monotonic,
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.20.2),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1.10.0),
 python-pyinotify (>= 0.9.5),
 python-six,
 python-testtools (>= 2.2.0),
 python3-dateutil,
 python3-debtcollector,
 python3-fixtures,
 python3-funcsigs,
 python3-mock,
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.20.2),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1.10.0),
 python3-pyinotify (>= 0.9.5),
 python3-six,
 python3-subunit,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.log
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.log.git
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log
Architecture: all
Depends:
 python-dateutil,
 python-debtcollector (>= 1.2.0),
 python-monotonic,
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.20.2),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-pyinotify (>= 0.9.5),
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 2.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 2.x module.

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

Package: python3-oslo.log
Architecture: all
Depends:
 python3-dateutil,
 python3-debtcollector (>= 1.2.0),
 python3-monotonic,
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.20.2),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-pyinotify (>= 0.9.5),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.log.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.log-doc/usr/share/doc/python-oslo.log-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.log 3.39.0

=== requirements.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 six>=1.10.0 # MIT
-oslo.config>=5.1.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
 pyinotify>=0.9.6;sys_platform!='win32' and sys_platform!='darwin' and sys_platform!='sunos5' # MIT
-python-dateutil>=2.4.2 # BSD
+python-dateutil>=2.5.3 # BSD
 monotonic>=0.6 # Apache-2.0

=== debian/changelog ===
python-oslo.log (3.39.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:06:24 +0200

python-oslo.log (3.39.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release and building sphinx doc with
    Python 3.
  * Add skip-py3.7-test.patch (taken from Ubuntu).

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2018 22:37:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-oslo.log
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -11,10 +11,10 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  bandit,
  python-coverage,
@@ -25,13 +25,12 @@
  python-hacking,
  python-mock,
  python-monotonic,
- python-openstackdocstheme (>= 1.17.0),
- python-oslo.config (>= 1:5.1.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.context (>= 2.19.2),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.serialization (>= 2.20.2),
  python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1.10.0),
+ python-oslotest (>= 1:3.2.0),
  python-pyinotify (>= 0.9.5),
  python-six,
  python-testtools (>= 2.2.0),
@@ -40,12 +39,13 @@
  python3-fixtures,
  python3-funcsigs,
  python3-mock,
- python3-oslo.config (>= 1:5.1.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 2.19.2),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.20.2),
  python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 1.10.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-pyinotify (>= 0.9.5),
  python3-six,
  python3-subunit,
@@ -63,7 +63,7 @@
  python-dateutil,
  python-debtcollector (>= 1.2.0),
  python-monotonic,
- python-oslo.config (>= 1:5.1.0),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.context (>= 2.19.2),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.serialization (>= 2.20.2),
@@ -101,7 +101,7 @@
  python3-dateutil,
  python3-debtcollector (>= 1.2.0),
  python3-monotonic,
- python3-oslo.config (>= 1:5.1.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 2.19.2),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.20.2),

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.log-doc/usr/share/doc/python-oslo.log-doc/html
+	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.log-doc/usr/share/doc/python-oslo.log-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/oslo.log/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslo.log 3.42.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.1.1 # Apache-2.0
six>=1.11.0 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.20.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
debtcollector>=1.19.0 # Apache-2.0
pyinotify>=0.9.6;sys_platform!='win32' and sys_platform!='darwin' and sys_platform!='sunos5' # MIT
python-dateutil>=2.7.0 # BSD
monotonic>=1.4 # Apache-2.0

=== debian/changelog ===
python-oslo.log (3.42.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:37:55 +0200

python-oslo.log (3.42.3-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Fixed (build-)depends for this release, removed versions satisfied in
    Buster.
  * Remove patch to skip some tests in Python 3.6, fixed upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 21:18:50 +0100

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-dateutil,
 python3-debtcollector,
 python3-fixtures,
 python3-funcsigs,
 python3-mock,
 python3-monotonic (>= 1.4),
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pyinotify,
 python3-six,
 python3-subunit,
 python3-stestr,
 python3-testtools,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.log
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.log.git
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

Package: python3-oslo.log
Architecture: all
Depends:
 python3-dateutil,
 python3-debtcollector,
 python3-monotonic (>= 1.4),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-pyinotify,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.log.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.log-doc/usr/share/doc/python-oslo.log-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-oslo.log 3.44.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

# Optional dependencies that are needed to build docs
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.log (3.44.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Sep 2019 21:39:03 +0000

python-oslo.log (3.44.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:45:32 -0400

python-oslo.log (3.44.0-0ubuntu4) eoan; urgency=medium

  * d/control, d/tests/*: Add python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:05:46 -0400

python-oslo.log (3.44.0-0ubuntu3) eoan; urgency=medium

  * d/python{3}-oslo.log.{postinst,postrm,prerm}: Drop maintainer scripts
    for alternatives management as package is py3 only now.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Jun 2019 09:01:10 +0100

python-oslo.log (3.44.0-0ubuntu2) eoan; urgency=medium

  * d/rules: Switch override_dh_install to override_dh_auto_install as
    it is overriding setup.py install. Also add --no-py2.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 10 Jun 2019 09:06:04 -0400

python-oslo.log (3.44.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/python3-oslo.log.postinst: Bump priority of py3 alternatives.
    - d/p/skip-py3.7-test.patch: Skip test that is failing on Py3.7
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 10:07:59 -0400

python-oslo.log (3.42.3-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:03:29 +0000

python-oslo.log (3.42.2-0ubuntu1) disco; urgency=medium

  * d/control: Use python3-sphinx.
  * d/python3-oslo.log.postinst: Bump priority of py3 alternatives.
  * New upstream release for OpenStack Stein.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:22:12 +0000

python-oslo.log (3.40.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/temporarily-remove-failing-py3.6-tests.patch: Drop, included
    upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:20:19 +0000

python-oslo.log (3.39.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py3.7-test.patch: Skip test that is failing on Py3.7
    and opened bug upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 15:32:15 -0400

python-oslo.log (3.38.1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Jun 2018 11:39:58 +0100

python-oslo.log (3.36.0-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * New upstream release for OpenStack Queens.
  * d/control: Align (build-)depends with upstream.
  * d/p/*: Drop, no longer needed.

  [ Corey Bryant ]
  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/p/skip-tests.patch: Skip tests in py3 due to upstream bug
    https://bugs.launchpad.net/oslo.log/+bug/1737493.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 16:15:36 -0500

python-oslo.log (3.32.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 14:53:26 +0000

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.5.1),
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),
 python3-fixtures (>= 3.0.0),
 python3-funcsigs,
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-monotonic (>= 1.4),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.20.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pyinotify (>= 0.9.6),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.11.0),
 python3-subunit,
 python3-stestr (>= 2.0.0),
 python3-testtools (>= 2.3.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.log
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.log
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

Package: python3-oslo.log
Architecture: all
Depends:
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),
 python3-monotonic (>= 1.4),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.20.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 3.36.0),
 python3-pbr (>= 3.1.1),
 python3-pyinotify (>= 0.9.6),
 python3-six (>= 1.11.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

## python-oslo.log 4.0.0

=== debian/changelog ===
python-oslo.log (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/p/skip-py3.7-test.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 15:52:37 -0400

python-oslo.log (3.45.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:42:23 +0000

python-oslo.log (3.45.0-0ubuntu3) focal; urgency=medium

  * d/rules, d/python3-oslo.log.install: Restore install to tmp and add
    install file with final installation location.
  * d/t/python-import: Ensure this test is py3-only.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 12:50:45 -0500

python-oslo.log (3.45.0-0ubuntu2) focal; urgency=medium

  * d/rules: Drop install to tmp (pkgos-dh_auto_install --in-tmp).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 11:43:42 -0500

python-oslo.log (3.45.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/python{3}-oslo.log.{postrm,prerm}: Drop maintainer scripts
      for alternatives management as package is py3 only now.
    - d/t/python-import: Add oslo module import test.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 10:23:54 -0500

python-oslo.log (3.44.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:20:34 +0200

python-oslo.log (3.44.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed python3-monotonic from (build-)depends.
  * Set openstack-pkg-tools to be (>= 99~).
  * pkgos-dh_auto_install: add --no-py2.
  * More fixes for Py3 only.
  * Blacklist LogConfigTestCase.test_log_config_append_unreadable() until
    upstream bug #1842639 is fixed.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 11:47:00 +0200

## python-oslo.log 4.1.1

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=3.1.1 # Apache-2.0
-six>=1.11.0 # MIT
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.20.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
@@ -12,4 +11,4 @@
 debtcollector>=1.19.0 # Apache-2.0
 pyinotify>=0.9.6;sys_platform!='win32' and sys_platform!='darwin' and sys_platform!='sunos5' # MIT
 python-dateutil>=2.7.0 # BSD
-monotonic>=1.4 # Apache-2.0
+monotonic>=1.4;python_version<'3.3' # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -2,8 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
-sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
+sphinx>=1.8.0,!=2.1.0 # BSD
 openstackdocstheme>=1.20.0 # Apache-2.0
 reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.log (4.1.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:46:34 -0400

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,20 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 99~),
  python3-all,
  python3-pbr (>= 3.1.1),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  bandit,
- python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.5.1),
  python3-dateutil (>= 2.7.0),
  python3-debtcollector (>= 1.19.0),
  python3-fixtures (>= 3.0.0),
  python3-funcsigs,
- python3-hacking (>= 0.12.0),
  python3-mock (>= 2.0.0),
  python3-monotonic (>= 1.4),
  python3-openstackdocstheme (>= 1.20.0),
@@ -32,10 +30,9 @@
  python3-oslo.utils (>= 3.36.0),
  python3-oslotest (>= 1:3.3.0),
  python3-pyinotify (>= 0.9.6),
- python3-reno (>= 2.5.0),
  python3-six (>= 1.11.0),
+ python3-stestr (>= 2.0.0),
  python3-subunit,
- python3-stestr (>= 2.0.0),
  python3-testtools (>= 2.3.0),
  subunit,
 Standards-Version: 4.1.3

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,14 @@
 override_dh_auto_build:
 	echo "Do nothing..."
 
-override_dh_install:
-	pkgos-dh_auto_install
+override_dh_auto_test:
+	echo "Do nothing..."
 
-override_dh_auto_test:
+override_dh_auto_install:
+	pkgos-dh_auto_install --no-py2 --in-tmp
+
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	pkgos-dh_auto_test --no-py2 'oslo_log\.tests\.unit\.(?!(.*test_log\.LogConfigTestCase\.test_log_config_append_unreadable.*))'
 endif
 
 override_dh_sphinxdoc:

## python-oslo.log 4.4.0

=== requirements.txt ===
--- 
+++ 
@@ -11,4 +11,3 @@
 debtcollector>=1.19.0 # Apache-2.0
 pyinotify>=0.9.6;sys_platform!='win32' and sys_platform!='darwin' and sys_platform!='sunos5' # MIT
 python-dateutil>=2.7.0 # BSD
-monotonic>=1.4;python_version<'3.3' # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

# Optional dependencies that are needed to build docs
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.log (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 23:15:25 +0200

python-oslo.log (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 20:42:28 +0200

python-oslo.log (4.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2020 10:37:08 +0200

python-oslo.log (4.1.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:07:09 +0200

python-oslo.log (4.1.1-2) experimental; urgency=medium

  * Remove python3-funcsigs from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Apr 2020 23:12:07 +0200

python-oslo.log (4.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed skip-py3.7-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 15:15:52 +0200

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-dateutil,
 python3-debtcollector,
 python3-fixtures,
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pyinotify,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.log
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.log.git
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

Package: python3-oslo.log
Architecture: all
Depends:
 python3-dateutil,
 python3-debtcollector,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-pyinotify,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.log/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.log 4.6.0

=== debian/changelog ===
python-oslo.log (4.6.0-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:41:18 -0400

python-oslo.log (4.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:29:08 +0000

python-oslo.log (4.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 07:47:09 +0000

python-oslo.log (4.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:39:20 -0400

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 python3-coverage (>= 4.5.1),
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),
 python3-fixtures (>= 3.0.0),
 python3-funcsigs,
 python3-mock (>= 2.0.0),
 python3-monotonic (>= 1.4),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.20.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pyinotify (>= 0.9.6),
 python3-six (>= 1.11.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-testtools (>= 2.3.0),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.log
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.log
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

Package: python3-oslo.log
Architecture: all
Depends:
 python3-dateutil (>= 2.7.0),
 python3-debtcollector (>= 1.19.0),
 python3-monotonic (>= 1.4),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.20.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 3.36.0),
 python3-pbr (>= 3.1.1),
 python3-pyinotify (>= 0.9.6),
 python3-six (>= 1.11.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

## python-oslo.log 4.6.1

=== debian/changelog ===
python-oslo.log (4.6.1-0ubuntu1.1) jammy; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * d/p/use-project-when-logging-the-user-identity.patch: Picked from
    upstream to change the logging_user_identity_format option's default
    the project instead of the tenant (LP: #1976106).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Apr 2022 10:06:27 -0400

python-oslo.log (4.6.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:31:44 -0500

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 3.1.1),
  python3-setuptools,

## python-oslo.log 5.0.0

=== debian/changelog ===
python-oslo.log (5.0.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 31 May 2022 17:36:52 +0000

python-oslo.log (5.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 May 2022 12:36:00 -0400

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-monotonic (>= 1.4),
  python3-openstackdocstheme (>= 2.2.1),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.20.0),
+ python3-oslo.context (>= 1:2.21.0),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.serialization (>= 2.25.0),
  python3-oslo.utils (>= 3.36.0),
@@ -60,7 +60,7 @@
  python3-debtcollector (>= 1.19.0),
  python3-monotonic (>= 1.4),
  python3-oslo.config (>= 1:5.2.0),
- python3-oslo.context (>= 1:2.20.0),
+ python3-oslo.context (>= 1:2.21.0),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.serialization (>= 2.25.0),
  python3-oslo.utils (>= 3.36.0),
